Package io.vertx.core.http

## Interface ClientMultipartForm

- All Superinterfaces:
    `ClientForm`

      public interface ClientMultipartForm
      extends ClientForm

  A multipart form, providing file upload capabilities.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientMultipartForm` | `attribute​(String name, String value)`
    `ClientMultipartForm` | `binaryFileUpload​(String name, String filename, String mediaType, Buffer content)` | Add a binary file upload form data part.
    `ClientMultipartForm` | `binaryFileUpload​(String name, String filename, String mediaType, String pathname)` | Add a binary file upload form data part.
    `ClientMultipartForm` | `charset​(String charset)` | Set the `charset` to use when encoding the form.
    `ClientMultipartForm` | `charset​(Charset charset)` | Set the `charset` to use when encoding the form.
    `boolean` | `mixed()` |
    `ClientMultipartForm` | `mixed​(boolean allow)` | Allow or disallow multipart mixed encoding when files are sharing the same file name.
    `static ClientMultipartForm` | `multipartForm()` |
    `ClientMultipartForm` | `textFileUpload​(String name, String filename, String mediaType, Buffer content)` | Add a text file upload form data part.
    `ClientMultipartForm` | `textFileUpload​(String name, String filename, String mediaType, String pathname)` | Add a text file upload form data part.

    - ### Methods inherited from interface io.vertx.core.http.ClientForm

      `charset`

- - ### Method Detail

    - #### multipartForm

          static ClientMultipartForm multipartForm()

      Returns:
        a blank multipart form

    - #### attribute

          ClientMultipartForm attribute​(String name,
                                        String value)

      Specified by:
        `attribute` in interface `ClientForm`

    - #### charset

          ClientMultipartForm charset​(String charset)

      Set the `charset` to use when encoding the form. The default charset is `StandardCharsets.UTF_8`.
      Specified by:
        `charset` in interface `ClientForm`
      Parameters:
        `charset` - the charset to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### charset

          ClientMultipartForm charset​(Charset charset)

      Set the `charset` to use when encoding the form. The default charset is `StandardCharsets.UTF_8`.
      Specified by:
        `charset` in interface `ClientForm`
      Parameters:
        `charset` - the charset to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### mixed

          ClientMultipartForm mixed​(boolean allow)

      Allow or disallow multipart mixed encoding when files are sharing the same file name.
      The default value is `true`.
      Set to `false` if you want to achieve the behavior for HTML5.
      Parameters:
        `allow` - `true` allows use of multipart mixed encoding
      Returns:
        a reference to this, so the API can be used fluently

    - #### mixed

          boolean mixed()

      Returns:
        whether multipart mixed encoding is allowed

    - #### textFileUpload

          ClientMultipartForm textFileUpload​(String name,
                                             String filename,
                                             String mediaType,
                                             Buffer content)

      Add a text file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `mediaType` - the MIME type of the file
        `content` - the content of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### binaryFileUpload

          ClientMultipartForm binaryFileUpload​(String name,
                                               String filename,
                                               String mediaType,
                                               Buffer content)

      Add a binary file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `mediaType` - the MIME type of the file
        `content` - the content of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### textFileUpload

          ClientMultipartForm textFileUpload​(String name,
                                             String filename,
                                             String mediaType,
                                             String pathname)

      Add a text file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `mediaType` - the MIME type of the file
        `pathname` - the pathname of the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### binaryFileUpload

          ClientMultipartForm binaryFileUpload​(String name,
                                               String filename,
                                               String mediaType,
                                               String pathname)

      Add a binary file upload form data part.
      Parameters:
        `name` - name of the parameter
        `filename` - filename of the file
        `mediaType` - the MIME type of the file
        `pathname` - the pathname of the file
      Returns:
        a reference to this, so the API can be used fluently